> ## Documentation Index
> Fetch the complete documentation index at: https://docs.goterminal.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Introduction

> API Getting Started

<Note>
  A credit card is required to start the 7 day free trial. API keys will not work without a valid payment method.
</Note>

## Authentication

All API endpoints are authenticated using Bearer tokens and picked up from the specification file.

```bash
curl 'https://api.goterminal.xyz/ledger' \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <YOUR_API_KEY>'
--data '{
  "external_id": "TX_tv7sw4lc7",
  "type": "transfer",
  "amount": 10000,
  "currency": "USD",
  "from_account_id": "user1",
  "to_account_id": "user2",
  "data": {
    "description": "Payment for services"
  }
}'
```
